Gửi thông báo chứng từ xử lý hoàn tất
Ngày cập nhật: 10 tháng 8, 2026
Người cập nhật: VNPT eContract's team
Mục đích
Gửi thông báo chứng từ đã được xử lý hoàn tất đến email/sms cho người tạo hoặc tất cả người dùng trong quy trình xử lý chứng từ (Thông qua cấu hình CompletedDocumentNotification của hệ thống)
- Request URL:
/api/documents/send-notify - HTTP method:
POST - Authorize:
Bearer token - Parameter:
| Key | Type | Description |
|---|---|---|
documentId | string | [Bắt buộc] Id chứng từ cần gửi thông báo xử lý hoàn tất |
Mẫu request
Thông tin id chứng từ cần gửi thông báo xử lý hoàn tất:
id: d83812e9-1a93-4872-fce3-08dad8f7f8b6
Request: /api/documents/send-notify/d83812e9-1a93-4872-fce3-08dad8f7f8b6
Mẫu response body
{
"data": {
"id": "100b176b-772d-460a-1613-08db16499253",
"createdDate": "2023-02-24T16:29:04.2855136",
"lastModifiedDate": "2023-02-24T16:30:10.2043546",
"completedDate": "2023-02-24T16:30:10.2043571",
"no": "Test0.7922255123526964",
"subject": "Test0.7922255123526964",
"hasVerified": false,
"hasSeal": false,
"requireVerifiedUserSigning": false,
"status": {
"value": 4,
"description": "Completed document"
},
"contractStatus": {
"value": 0,
"description": "Undefined"
},
"description": "Test tạo mới chứng từ bằng API",
"createdByUserId": 6199,
"processRecipientCount": 1,
"processInOrder": false,
"isWaitToSignDraw": false,
"isWaitToSignDigital": false,
"isWaitToApprove": false,
"isWaitToFillData": false,
"isWaitToCoordinate": false,
"isWaitToESign": false,
"isWaitToEkyc": false,
"isFillable": false,
"processes": [
{
"id": "5c2fca11-bcae-4be5-bbf5-08db16499263",
"createdDate": "2023-02-24T16:29:11.5035411",
"comId": 2211,
"isOrder": false,
"orderNo": 1,
"signatureText": "Signature",
"reason": "Đồng ý",
"pageSign": 1,
"position": "12,738,204,828",
"fontSize": 12,
"displayType": {
"value": 3,
"description": "Image only"
},
"signedMethod": {
"value": 2,
"description": "VNPT Smart CA"
},
"accessPermission": {
"value": 2,
"description": "Sign draw"
},
"status": {
"value": 3,
"description": "Signed"
},
"processedDate": "2023-02-24T16:30:10.0958881",
"processedByUserId": 6199,
"documentId": "100b176b-772d-460a-1613-08db16499253"
},
{
"id": "c0dd8b4e-2df0-4b55-bbf6-08db16499263",
"createdDate": "2023-02-24T16:29:11.5035898",
"comId": 2211,
"isOrder": false,
"orderNo": 1,
"pageSign": 0,
"displayType": {
"value": 0,
"description": "0"
},
"accessPermission": {
"value": 1,
"description": "View only"
},
"status": {
"value": 1,
"description": "Waiting"
},
"processedByUserId": 6202,
"documentId": "100b176b-772d-460a-1613-08db16499253"
}
],
"histories": [],
"attachments": [],
"relatedDocuments": [],
"messages": [],
"downloadUrl": "{HOST}/Api/Download?token=Tu4rS...",
"returnUrl": "/App/Document?Query.Search=Test0.7922255123526964&Query.Status=4"
},
"success": true,
"code": 0,
"messages": [
"Send notification success"
]
}
Mô tả Response Body
| Key | Type | Description |
|---|---|---|
success | boolean | Trạng thái phản hồi của yêu cầu (true: Thành công, false: Thất bại) |
code | int | Mã phản hồi từ hệ thống |
messages | array | Danh sách thông báo hoặc lỗi trả về từ hệ thống (Ví dụ: ["Send notification success"]) |
data | object | Đối tượng chứa thông tin chứng từ sau khi gửi thông báo hoàn tất (xem chi tiết) |